# $Revision: 1.5 $, $Date: 2010/07/08 08:48:54 $
%define		trac_ver	0.10
Summary:	Ticket and Ticket Change Deletion Plugin
Name:		trac-plugin-ticketdelete
Version:	0
Release:	2
License:	BSD-like
Group:		Applications/WWW
# Source0Download:	http://trac-hacks.org/changeset/latest/ticketdeleteplugin?old_path=/&filename=ticketdeleteplugin&format=zip
Source0:	ticketdeleteplugin.zip
# Source0-md5:	5ea5299648bae63f2ac85c2b0af0fe81
URL:		http://trac-hacks.org/wiki/TicketDeletePlugin
BuildRequires:	python-devel
BuildRequires:	unzip
Requires:	trac >= %{trac_ver}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a small plugin to allow deleting tickets from within Trac. Though I
don't advocate this as a method of dealing with tickets very often, it is a
commonly requested feature, and it is needed on rare occasions (generally
dealing with spam). 

It also supports deleting individual changes, including comments.

%prep
%setup -q -n ticketdeleteplugin

%build
cd %{trac_ver}
%{__python} setup.py build
%{__python} setup.py egg_info

%install
rm -rf $RPM_BUILD_ROOT
cd %{trac_ver}
%{__python} setup.py install \
	--single-version-externally-managed \
	--optimize 2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ "$1" = "1" ]; then
	%banner -e %{name} <<-'EOF'
	Don't forget to enable ticketdelete in conf/trac.ini:

	[components]
	ticketdelete.* = enabled
EOF
#' - vim
fi

%files
%defattr(644,root,root,755)
%{py_sitescriptdir}/ticketdelete
%{py_sitescriptdir}/TracTicketDelete-*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: trac-plugin-ticketdelete.spec,v $
Revision 1.5  2010/07/08 08:48:54  arekm
- release 2

Revision 1.4  2010/05/16 14:14:40  sparky
- BR: unzip

Revision 1.3  2009/04/06 13:35:21  glen
- release 1

Revision 1.2  2008/11/24 12:54:12  glen
- include trac.ini change help

Revision 1.1  2008/11/24 12:42:33  glen
- new
